These are chat archives for allegro/ralph

3rd
Dec 2015
Pierre-Yves Dubreucq
@pydubreucq
Dec 03 2015 08:45
Hi,
I've updated my ralph-core and I can't do ralph migrate, I have this error :

System check identified some issues:

WARNINGS:
?: (18.W001) The standalone TEMPLATE* settings were deprecated in Django 1.8 and the TEMPLATES dictionary takes precedence. You must put the values of the following settings into your default TEMPLATES dict: TEMPLATE_DEBUG.
Operations to perform:
Synchronize unmigrated apps: taggit_serializer, foundation, ralph_admin, table, rest_framework, humanize, messages, dc_view, import_export, staticfiles, mptt, permissions
Apply all migrations: accounts, domains, licences, transitions, data_importer, supports, sessions, attachments, sitetree, back_office, taggit, admin, reports, contenttypes, data_center, reversion, authtoken, assets, auth
Synchronizing apps without migrations:
Creating tables...
Running deferred SQL...
Installing custom SQL...
Running migrations:
Rendering model states... DONE
Applying assets.0007_auto_20151118_0804... OK
Applying assets.0008_asset_property_of... OK
Applying back_office.0007_copy_property_of... OK
Applying assets.0009_asset_property_of_rename... OK
Applying assets.0010_service_env_inherits_base_object...Traceback (most recent call last):
File "/opt/ralph/ralph-core/lib/python3.4/site-packages/django/db/backends/utils.py", line 64, in execute
return self.cursor.execute(sql, params)
File "/opt/ralph/ralph-core/lib/python3.4/site-packages/django/db/backends/mysql/base.py", line 124, in execute
return self.cursor.execute(query, args)
File "/opt/ralph/ralph-core/lib/python3.4/site-packages/MySQLdb/cursors.py", line 220, in execute
self.errorhandler(self, exc, value)
File "/opt/ralph/ralph-core/lib/python3.4/site-packages/MySQLdb/connections.py", line 36, in defaulterrorhandler
raise errorvalue
File "/opt/ralph/ralph-core/lib/python3.4/site-packages/MySQLdb/cursors.py", line 209, in execute
r = self._query(query)
File "/opt/ralph/ralph-core/lib/python3.4/site-packages/MySQLdb/cursors.py", line 371, in _query
rowcount = self._do_query(q)
File "/opt/ralph/ralph-core/lib/python3.4/site-packages/MySQLdb/cursors.py", line 335, in _do_query
db.query(q)
File "/opt/ralph/ralph-core/lib/python3.4/site-packages/MySQLdb/connections.py", line 280, in query
_mysql.connection.query(self, query)
_mysql_exceptions.OperationalError: (1025, "Error on rename of './ralph/#sql-2b3_c6e3' to './ralph/assets_serviceenvironment' (errno: 150)")

The above exception was the direct cause of the following exception:

MichaƂ Suszko
@msuszko
Dec 03 2015 13:16
#2018 makes read-only text fields cover each other when there is more than one line